SHINDO.1(1)

NAME
shindo - simple depth first ruby testing

SYNOPSIS
shindo [<something_tests.rb>]

shindo [<some_test_directory>]

shindo [<some_test_directory>] [+<tag>] [-<tag>]

DESCRIPTION
shindo runs tests, optionally with tags support. When tests fail you'll get lots of options to help you debug the problem, just enter '?' at the prompt to see your options.

See /usr/share/doc/ruby-shindo/ for more details.

OPTIONS
+<tag>    run just tests with the given tag
-<tag>    run just tests without the given tag

EXAMPLE
$ shindo <some_test_directory> +<foo>

$ shindo <some_test_directory> -<bar>

$ shindo <some_test_directory> +<foo> -<bar>

AUTHOR
Copyright 2009 geemus (Wesley Beary) - http://github.com/geemus

This manual page is written by Praveen Arimbrathodiyl <praveen@debian.org> for Debian GNU System (GNU/Linux, GNU/kFreeBSD, GNU/Hurd).